#ifndef NXPNFCRDLIB_VERSION_INFO_H_INCLUDED
#define NXPNFCRDLIB_VERSION_INFO_H_INCLUDED


/*
 *                  Copyright (c), NXP Semiconductors
 *
 *                     (C)NXP Semiconductors
 *       All rights are reserved. Reproduction in whole or in part is
 *      prohibited without the written consent of the copyright owner.
 *  NXP reserves the right to make changes without notice at any time.
 * NXP makes no warranty, expressed, implied or statutory, including but
 * not limited to any implied warranty of merchantability or fitness for any
 *particular purpose, or that the use will not infringe any third party patent,
 * copyright or trademark. NXP must not be liable for any loss or damage
 *                          arising from its use.
 */
/*
 * Version Information
 * Auto-Generated by:
 *     docs\22_rel_doc\version_update.py (v2016.12.11_00)
 *
 * Do not edit this file. Update version_info.txt instead. */


#define NxpNfcRdLib_VER_FILEDESCRIPTION    "NxpNfcRdLib_05.19.00_20180810"
#define NxpNfcRdLib_VER_FILEVERSION         5,19,0,2
#define NxpNfcRdLib_VER_FILEVERSION_STR    "5,19,0,2"
#define NxpNfcRdLib_VER_PRODUCTVERSION      5,19,0,2
#define NxpNfcRdLib_VER_PRODUCTVERSION_STR "5,19,0,2"
#define NxpNfcRdLib_VER_MAJOR  (5)
#define NxpNfcRdLib_VER_MINOR  (19)
#define NxpNfcRdLib_VER_DEV    (0)

/* ______GENERATED_FROM____version_info.txt
 * # _____________________________________________________________________________
 * # Product Description
 * #
 * sw_c_define_name = "NxpNfcRdLib"
 * sw_product_name  = "NxpNfcRdLib" # Product Name
 * sw_cs_namespace  = "NxpNfcRdLibNet" # C# Namespace
 * sw_v_major       = "05"      # Major Release NNX
 * sw_v_minor       = "19"      # SW Minor Version
 * sw_v_dev         = "00"      # SW Development Version
 * sw_maturity      = "B"       # SW Maturity "A" Alpha, "B":Beta, "P": Production
 * sw_metastring    = ""        # Any meta string
 * # _____________________________________________________________________________
 * #
 * # History: Descending
 * # v5.19.00         : NxpNfcRdLib_05.19.00_20180810
 * #                  : - [artf559788] NxpNfcRdLib Reader PAL components are been updated as per NFC Forum Digital Specification v1.1.
 * #                  : - [artf562043] NXP NFC Reader Library is been updated as per EMVCo Digital Specification v3.0.
 * #                  : - [artf575800] Handling of higher FSD and FSC values as per EMVCo Digital Specification v3.0 in PAL 14443-4.
 * #                  : - [artf575799] PPS command can now be used in EMVCo Mode.
 * #                  :
 * # v5.18.00         : NxpNfcRdLib_05.18.00_20180723
 * #                  : - [artf593858] FWT calculation in PAL 14443-4a component exceeds EMVCo specification value.
 * #                  : - [artf594175] FWT calculation in PAL 14443-3b component exceeds EMVCo specification value.
 * #                  : - [artf582803] Don't use forbidden MIFARE terms in source code.
 * #                  : - [artf572141] Fix the test cases which are unstable in PAL Felica test suite of Reader Test Bench.
 * #                  :
 * # v5.17.00         : NxpNfcRdLib_05.17.00_20180625
 * #                  : - [artf575800] NxpNfcRdLib update to support higher FSDI and FSCI Values as per  EMVCo v3.0.
 * #                  : - [artf575799] NxpNfcRdLib update to support PPS command as per  EMVCo v3.0.
 * #                  :
 * # v5.16.00         : NxpNfcRdLib_05.16.00_20180426
 * #                  : - [artf571199] Reverted usage of GPIO2 to GPIO7 in HIF example as per v5.14 release.
 * #                  :
 * # v5.15.00         : NxpNfcRdLib_05.15.00_20180413
 * #                  : - [artf563985] TypeA asyn-baudrate issue with RC663Plus is been resolved.
 * #                  : - [artf552726] Support for new PNEV7462C board.
 * #                  :
 * # v5.14.00         : NxpNfcRdLib_05.14.00_20180305
 * #                  : - [artf387108] Resolved all the HAL RC663 recursive function calls.
 * #                  : - [artf554069] Removed dead code in PAL 18000p3m3.
 * #                  : - [artf246219] Update HAL RC663 with new Command API to support PRBS.
 * #                  : - [artf268677] Bug fix in TOP T2T Read NDEF message > 1Kbytes.
 * #                  : - [artf553042] Update in PAL 14443-4mC parsing logic to check FCS for FSCT4AT,MIN.
 * #                  :
 * # v5.13.02         : NxpNfcRdLib_05.13.02_20180226
 * #                  : - [artf555427] Update to use correct product derivative ID of CLRC661.
 * #                  :
 * # v5.13.01         : NxpNfcRdLib_05.13.01_20180215
 * #                  : - [artf555427] Support of CLRC661 Product derivative in HAL RC663 of NxpNfcRdLib.
 * #                  :
 * # v5.13.00         : NxpNfcRdLib_05.13.00_20180206
 * #                  : - [artf272959] HAL RC663 is optimized for T1T exchange operations.
 * #                  : - [artf548812] HAL PN5180 and RC663 is updated to return correct status in case of Parity/CRC error while performing T1T exchange.
 * #                  : - [artf543700] Bug fix in ActivateCard() API of PAL 14443-3A to retry Select in case of Time out.
 * #                  : - [artf544924] Bug fix in RATS API of PAL 14443-4A to parse Deselect response correctly.
 * #                  :
 * # v5.12.00         : NxpNfcRdLib_05.12.00_20171215
 * #                  : - [artf509308] Allow configuration of Q and I value of 0x00h and 0x3Fh from LPCD Calibration cycle in HAL RC663.
 * #                  : - [artf387105] Provide Guard Timer callback in HAL DataParams of PN5180.
 * #                  :
 * # v5.11.00         : NxpNfcRdLib_05.11.00_20171127
 * #                  : - [artf272425] New Compliance Example to test EMVCo 2.6b Interoperability as per bulletin No 195.
 * #                  : - [artf264271] MISRA Compliance Fixes.
 * #                  : - [artf245086] Fix in RC663 HAL to not turn ON RF Field when Apply Protocol Settings of 18000p3m3.
 * #                  : - [artf265660] HAL PN7462AU SetConfig support for Tx configuration of 1 out of 4 encoding of ISO15693.
 * #                  : - [artf233606] DAL update in LPC1769 to configured supported SPI Baud rate.
 * #                  :
 * # v5.10.00         : NxpNfcRdLib_05.10.00_20171023
 * #                  : - [artf266705] Discovery Loop is updated to support detect/activate of multiple T2T cards.
 * #                  : - [artf263903] Compliance Applications are updated to use common phApp_Init.c and phApp_Init.h files.
 * #                  : - [artf285952] PN5180 Initialization is updated to check FW version rather than reading if TestBus
 * #                  :                is enabled or not while determining if TestBus is enabled or not.
 * #                  : - [artf285846] 18000p3m3ResumeInventory logic in DUT HAL is updated to send correct RxData and length.
 * #                  : - [artf270778] PAL 18092mT Receive API is updated to call phDriver_TimerStop() API correctly based on
 * #                  :                Rx State and also PN7462AU DAL is updated handle Timer Stop when Start is not called before.
 * #                  : - [artf272037] DAL of LPC1769 and K82 is updated to provide HW Timer priority configuration as defined
 * #                  :                in the corresponding board header file.
 * #                  :
 * # v5.09.00         : NxpNfcRdLib_05.09.00_20170925
 * #                  : - [artf264271] Addressed few of the Coverity MISRA warnings.
 * #                  : - [artf264120] ICODE DNA Tag Detection and Activation Should be added in NfcrdlibEx5_ISO15693.
 * #                  : - [artf252642] Check for Software KeyStore Component use in each of the example.
 * #                  : - [artf259688] phceT4T - Writing the NDEF message ( minus 2 bytes of Length) of exact size as NDEF file fails.
 * #                  :
 * # v5.08.00         : NxpNfcRdLib_05.08.00_20170907
 * #                  : - [artf264129] Optimize RC663 HAL for WUPA and WUPB transaction time.
 * #                  :
 * # v5.07.00         : NxpNfcRdLib_05.07.00_20170824
 * #                  : - [artf264129] MISRA Compliance Fixes
 * #                  : - [artf265389] HAL PN5180 18000p3m3Inventory API is been updated to clear all interrupts.
 * #                  :
 * # v5.06.00         : NxpNfcRdLib_05.06.00_20170811
 * #                  : - [artf264129] MISRA Compliance Fixes
 * #                  :
 * # v5.05.00         : NxpNfcRdLib_05.05.00_20170804
 * #                  : - [artf260455] Optimization of Poll Guard time with Pn5180 to improve
 * #                  :   Emvco Poll guard time performance
 * #                  :
 * # v5.04.00         : NxpNfcRdLib_05.04.00_20170704
 * #                  : Fixed:
 * #                  : - [artf253094] : HAL Pn5180 reports error in case communication with FW is not reliable.
 * #                  : - [artf240116] : Optimized EMVCo transaction time for customer timing requirements.
 * #                  : - [artf247520] : Updated Readme.txt files in Examples for simplicity by pointing to UM/AN.
 * #
 * # v5.03.00         : NxpNfcRdLib_05.03.00_20170529
 * #                  : Fixed: [artf231388] [artf238247] [artf238354] [artf233747]
 * #                  : [artf229354] [artf250086].
 * #                  :
 * # v5.02.00         : NxpNfcRdLib_05.02.00_20170428
 * #                  : Fixed: [artf244581] [artf245092] [artf246209] [artf222992] [artf246524]
 * #                  : bugs identified in TOP-T5T.
 * #                  : Fixed: [artf246186] [artf247264] in Examples
 * #                  :
 * # v5.01.00         : NxpNfcRdLib_05.01.00_20170414
 * #                  : - SPI NSS Handling moved to HAL
 * #                  : - AL ISO15693 / AL-SLI / AL-ICode DNA merged into single component AL-ICode
 * #                  : - Fix Pn5180 HAL to handle PHHAL_HW_CONFIG_POLL_GUARD_TIME_US==0
 * #                  : - PR Fixes in AL-TOP-T5T
 * #                  : - Updates for Plutus integration/development
 * #                  : - 18000P3M3 updates in HAL 5180 / 7462AU
 * #                  :
 * # v5.00.00         : NxpNfcRdLib_05.00.00_DAL_20170323
 * #                  : Initial internal tag with DAL(phDriver) and phOsal
 * #                  :
 * # v4.06.00         : NxpNfcRdLib_04.06.00_20170209
 * #                  : Fixed:[artf222524] [artf222525] [artf222533] [artf222535] [artf222537]
 * #                  :       [artf222538] [artf224045] [artf221217] [artf223976] [artf221408]
 * #                  :       [artf221407] and [artf173301]
 * #                  :
 * # v4.050.03.011702 : NxpNfcRdLib_v4.050.03.011702
 * #                  : Fixes [artf220074] and [artf222751]
 * #                  :
 * # v4.050.03.001651 : NxpNfcRdLib_v4.050.03.001651
 * #                  : Feedback from internal NXP
 * #                  :
 * # v4.050.02.001650 : NxpNfcRdLib_v4.050.02.001650
 * #                  : Fixed: [artf218286] [artf218337] [artf203532] [artf217665] [artf219615]
 * #                  :        [artf203969] [artf219481] [artf217069]
 * #                  : Open:  [artf219908] [artf219913]
 * #                  :
 * #                  :
 * # v4.050.01.001650 : NxpNfcRdLib_v4.050.01.001650_20161214
 * #                  : Release from GIT
 * #				   : [artf218286] [artf218337] [artf203532] [artf217665]
 * #                  :
 * # v4.050.00.001649 : NxpNfcRdLib_v4.050.00.001649_20161205
 * #                  : Release from GIT
 * #                  :
 * # v4.040.05.011646 > NxpNfcRdLib_v4.040.05.011646_20161115
 * #                  > [artf212345] : Linux Porting updates for phOsal_ThreadDelay
 * #                  > [artf212238] : Enable On-Board Pull Up by SW for IRQ pin used for RC523.
 * #                  >
 * # v4.040.05.001642 > NxpNfcRdLib_v4.040.05.001642_20161017
 * #                  > Fixed [artf200311] #FRDM
 * # v4.040.04.001641 > NxpNfcRdLib_v4.040.04.001641_20161010
 * #                  > Fixed for artifacts : [artf205559] [artf205886] [artf205966]
 * #                  :
 * # v4.040.03.001640 : NxpNfcRdLib_v4.040.03.001640_20161005
 * #                  : Linux support
 * # V4.040.02.001638 : NxpNfcRdLib_v4.040.02.001638_20160923
 * #				   : Release of Simplified API - EMVCo profile and beta code of ISO Profile.
 * #				   : Fixed for artifacts : artf193863 artf191954 artf199412
 * # v4.040.01.001637 : NxpNfcRdLib_v4.040.01.001637_20160916
 * # v4.040.00.001636 : NxpNfcRdLib_v4.040.00.001636_20160907
 * # v4.031.00.001631 : NxpNfcRdLib_v4.031.00.001631_SmplAPI_20160801
 * # v4.030.00.011627 : PN7462AU_04.03.01_20160706 / NxpNfcRdLib_v4.030.00.011627_20160706
 * # 06.4010.01.02    : Based on NFCRDLIB_V4.010.01.021604
 * # 06.4010.01.02    : Based on NFCRDLIB_V4.010.01.021604
 * # 06.4010.05.00    : Based on NFCRDLIB_V4.010.01.011604
 * # 06.4010.04.00    : Based on NFCRDLIB_V4.010.01.001603
 * # 06.4010.03.00    : Based on NxpRdLib_4.010.00.001601_ExC
 * #                  : Based on @r4100 - 2016.01.07 of
 * #                  :    /branch/NxpNfcRdLib_Branch_R_Gate_V4.010.00.001601
 * #                  :
 * # 06.4010.02.00    : Based on NxpRdLib_4.010.00.001551_ExC
 * # 06.4010.01.00    : Based on NfcRdLib_V_Gate_RC3_V4.010.01.001550
 * # 06.092.11.04     : Based on NfcRdLib_V_Gate_PN5180_V3.092.12.001547
 * #                  : +Fix for artf126517 Frame Delay Time Listen -> Poll is not
 * #                  : being changed based on the minimum TR2 value received in sensb
 * #                  : res
 * # 06.092.11.03     : PN7462AU_02_07_00_MRA2_20151113
 * # 06.092.11.00     : Based on NfcRdLib_V_Gate_RC3_V3.092.11.001546
 * # 06.092.11.00     : Based on branch/NfcRdLib_V_Gate_RC2_V3.092.11.001541 (V3.092.11.001545)
 * # 06.092.11.00     : Based on NfcRdLib_V_Gate_RC2_V3.092.11.001541_TempWk45
 * # 06.092.10.00     : Based on V3.092.10.001539 of NxpRdLib
 * # 06.092.07.01     : Corresponding to PN7462AU_02_06_00_MRA2_20150911 Drop
 * # 06.092.07.00     : Based on V3.092.07.001537 of NxpRdLib
 * # 06.092.05.00     : Based on v3.092.05.001534 of NxpRdLib
 * # 06.090.00.00     : Based on v3.092.00.001529 of NxpRdLib
 * # 06.080.06.00     : Based on v3.082.06.001528 of NxpRdLib
 * # 06.080.05.00     : Based on v3.082.05.001526 of NxpRdLib
 * # 06.080.04.00     : Based on v3.082.04.001524 of NxpRdLib
 * # 06.080.03.01     : Fixes for artifacts : artf631092, artf631750, artf631751
 * # 06.080.03.00     : Based on v3.082.03.001522 of NxpRdLib
 * # 06.080.01.00     : Based on V3.082.01.001518 of NxpRdLib
 * # 06.080.00.00     : Based on V3.082.00.001516 of NxpRdLib
 * # 06.010.04.00     : Release PN640FLASH_00_08_00_20150227 with NxpRdLib
 * # 06.010.03.00     : Updated with the fix of DUT Handling Mode and
 * #                    HIF Frame mode for compatibility between LPC and DUT.
 * # 06.010.02.02     : UHost::DUT_Switch Renamed to UHost_HIF_Switch
 * # 06.010.02.01     : HIF Related changes
 * # 06.010.02.00     : Corresponding to pn640Flash_00.03.00_DEV_20140905
 * # 06.010.01.02     : phhalHw_UHost_GetVersion returns 32bit Dev Value
 * # 06.010.01.01     : Corresponding to pn640Flash_00.02.01_CES_TST_20140904
 * # 06.010.01.00     : Corresponding to pn640Flash_00.02.00_Dev_20140808
 * # 06.010.00.00     : Migrated to UHost/DUT based NxpRdLib
 * # 06.000.01.00     : Intial Release
 * # _____________________________________________________________________________
 */


#endif /* NXPNFCRDLIB_VERSION_INFO_H_INCLUDED */
