///*
//*         Copyright (c), NXP Semiconductors Bangalore / India
//*
//*                     (C)NXP Semiconductors
//*       All rights are reserved. Reproduction in whole or in part is
//*      prohibited without the written consent of the copyright owner.
//*  NXP reserves the right to make changes without notice at any time.
//* NXP makes no warranty, expressed, implied or statutory, including but
//* not limited to any implied warranty of merchantability or fitness for any
//*particular purpose, or that the use will not infringe any third party patent,
//* copyright or trademark. NXP must not be liable for any loss or damage
//*                          arising from its use.
//*/
//
///** \file
//* Generic phDriver(DAL) Component of Reader Library Framework.
//* $Author$
//* $Revision$
//* $Date$
//*
//* History:
//*  PGh: Fixed case sensitivity for linux build
//*  RS:  Generated 24. Jan 2017
//*
//*/
//
//
//#include "phDriver.h"
//#include <board.h>
//#include "BoardSelection.h"
//#include "fsl_i2c.h"
//#include "phApp_Init.h"
//#define PHBAL_REG_LPCOPEN_SPI_ID               0x0DU       /**< ID for LPC Open SPI BAL component */
//
//
//#define EXAMPLE_I2C_MASTER_BASE (I2C4_BASE)
//#define I2C_MASTER_CLOCK_FREQUENCY (12000000)
//#define EXAMPLE_I2C_MASTER ((I2C_Type *)EXAMPLE_I2C_MASTER_BASE)
//
//#define I2C_MASTER_SLAVE_ADDR_7BIT 0x28U
//#define I2C_BAUDRATE 100000U
//#define I2C_DATA_LENGTH 33U
//
//
//uint8_t g_master_txBuff[I2C_DATA_LENGTH];
//
//
//
///**
//* \brief Initialize the LPC Open I2C BAL layer.
//*
//* \return Status code
//* \retval #PH_DRIVER_SUCCESS Operation successful.
//* \retval #PH_ERR_INVALID_DATA_PARAMS Parameter structure size is invalid.
//*/
//phStatus_t phbalReg_Init(
//                                      void * pDataParams,
//                                      uint16_t wSizeOfDataParams
//                                      )
//{
//
//	if((pDataParams == NULL) || (sizeof(phbalReg_Type_t) != wSizeOfDataParams))
//    {
//        return (PH_DRIVER_ERROR | PH_COMP_DRIVER);
//    }
//	/* attach 12 MHz clock to FLEXCOMM8 (I2C master) */
//	    CLOCK_AttachClk(kFRO12M_to_FLEXCOMM4);
//
//	    /* reset FLEXCOMM for I2C */
//	    RESET_PeripheralReset(kFC4_RST_SHIFT_RSTn);
//    ((phbalReg_Type_t *)pDataParams)->wId      = PH_COMP_DRIVER | PHBAL_REG_LPCOPEN_SPI_ID;
//    ((phbalReg_Type_t *)pDataParams)->bBalType = PHBAL_REG_TYPE_I2C;
//
//    i2c_master_config_t masterConfig;
//    I2C_MasterGetDefaultConfig(&masterConfig);
//    masterConfig.baudRate_Bps = 100000U;
//
//    /* Initialize the I2C master peripheral */
//     // I2C_MasterInit(LPC_I2C, &masterConfig, I2C_MASTER_CLOCK_FREQUENCY);
//
//
//
//
//         /*
//          * masterConfig.debugEnable = false;
//          * masterConfig.ignoreAck = false;
//          * masterConfig.pinConfig = kI2C_2PinOpenDrain;
//          * masterConfig.baudRate_Bps = 100000U;
//          * masterConfig.busIdleTimeout_ns = 0;
//          * masterConfig.pinLowTimeout_ns = 0;
//          * masterConfig.sdaGlitchFilterWidth_ns = 0;
//          * masterConfig.sclGlitchFilterWidth_ns = 0;
//          */
//         I2C_MasterGetDefaultConfig(&masterConfig);
//
//         /* Change the default baudrate configuration */
//         masterConfig.baudRate_Bps = I2C_BAUDRATE;
//
//         /* Initialize the I2C master peripheral */
//         I2C_MasterInit(EXAMPLE_I2C_MASTER, &masterConfig, I2C_MASTER_CLOCK_FREQUENCY);
//
//
//
//    return PH_DRIVER_SUCCESS;
//}
//
//phStatus_t phbalReg_Exchange(
//                                        void * pDataParams,
//                                        uint16_t wOption,
//                                        uint8_t * pTxBuffer,
//                                        uint16_t wTxLength,
//                                        uint16_t wRxBufSize,
//                                        uint8_t * pRxBuffer,
//                                        uint16_t * pRxLength
//                                        )
//{
//		status_t i2cStatus;
//	    i2c_master_transfer_t g_masterXfer;
//	    memset(&g_masterXfer, 0, sizeof(g_masterXfer));
//	    g_masterXfer.slaveAddress =CLRC663_SLAVE_ADDRESS;
//
//	    //phOsal_EnterCriticalSection(); test code
//	    //DisableIRQ(EINT_IRQn);
//	    uint8_t deviceAddress = 0x01U;
//	    status_t reVal = kStatus_Fail;
//
//	    if ( wRxBufSize == 0 )
//	       {
//	          //write
//	       g_masterXfer.direction = kI2C_Write;
//	        g_masterXfer.data = pTxBuffer;
//	        g_masterXfer.dataSize = wTxLength;
//	        //i2cStatus=I2C_MasterTransferBlocking(LPC_I2C, &g_masterXfer);
//	        deviceAddress=*pTxBuffer;
//	        /* Send master blocking data to slave */
//	                 if (kStatus_Success == I2C_MasterStart(EXAMPLE_I2C_MASTER, I2C_MASTER_SLAVE_ADDR_7BIT, kI2C_Write))
//	                 {
//	                     /* subAddress = 0x01, data = g_master_txBuff - write to slave.
//	                       start + slaveaddress(w) + subAddress + length of data buffer + data buffer + stop*/
//
//	                     reVal = I2C_MasterWriteBlocking(EXAMPLE_I2C_MASTER, pTxBuffer, wTxLength, 0);
//	                     if (reVal != kStatus_Success)
//	                     {
//	                         return -1;
//	                     }
//
//	                     reVal = I2C_MasterStop(EXAMPLE_I2C_MASTER);
//	                     if (reVal != kStatus_Success)
//	                     {
//	                         return -1;
//	                     }
//	                 }
//	                 i2cStatus=kStatus_Success;
//	                 if(pRxLength!=NULL)
//	                 {
//	                	 *pRxLength=0; //NULL = 0????
//	                 }
//
//
//	       }
//	       else
//	       {	//read
//	    	   g_masterXfer.direction = kI2C_Read;
//	    	   g_masterXfer.data = pTxBuffer;
//	    	   g_masterXfer.subaddress =*pTxBuffer;
//	    	   g_masterXfer.subaddressSize=1;
//	    	   g_masterXfer.dataSize = wRxBufSize;
//	    	   i2cStatus=I2C_MasterTransferBlocking(LPC_I2C, &g_masterXfer);
//	    	   *pRxLength=wRxBufSize;
//	    	   pRxBuffer=  g_masterXfer.data;
//
//	       }
//
//
//	    if (i2cStatus != kStatus_Success)
//	    {
//	        return (PH_DRIVER_FAILURE | PH_COMP_DRIVER);
//	    }
//
//
//	//phOsal_ExitCriticalSection(); test code
//		//NVIC_ClearPendingIRQ(EINT_IRQn);
//		//EnableIRQ(EINT_IRQn);
//
//
//
//
//
//    return PH_DRIVER_SUCCESS;
//}
//
//phStatus_t phbalReg_SetConfig(
//                                         void * pDataParams,
//                                         uint16_t wConfig,
//                                         uint16_t wValue
//                                         )
//{
//    return PH_DRIVER_SUCCESS;
//}
//
//phStatus_t phbalReg_GetConfig(
//                                         void * pDataParams,
//                                         uint16_t wConfig,
//                                         uint16_t * pValue
//                                         )
//{
//    return PH_DRIVER_SUCCESS;
//}
//
